import { configure } from '@testing-library/react';
import '@testing-library/jest-dom/extend-expect';
import '@testing-library/jest-dom';

configure({ testIdAttribute: 'data-test-id' });

const { ResizeObserver } = window;
beforeAll(() => {
  window.ResizeObserver = jest.fn().mockImplementation(() => ({
    observe: jest.fn(),
    unobserve: jest.fn(),
    disconnect: jest.fn(),
  }));
});

afterAll(() => {
  window.ResizeObserver = ResizeObserver;
});
